﻿using System;
using System.Drawing;

namespace Horizon.Database
{
    public class SnapshotCreateFailureEventArgs : SnapshotCreateEventArgs
    {
        #region Constructors, Destructors and Finalizers

        public SnapshotCreateFailureEventArgs(string name, string path, Color color, Exception ex) : base(name, path,
            color, false)
        {
            Exception = ex;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public Exception Exception { get; }

        #endregion
    }
}