﻿using System.Drawing;

namespace Horizon.Database
{
    public class SnapshotCreateSuccessEventArgs : SnapshotCreateEventArgs
    {
        #region Constructors, Destructors and Finalizers

        public SnapshotCreateSuccessEventArgs(string name, string time, string path, Color color, string hash) : base(
            name, path, color,
            true)
        {
            Time = time;
            Hash = hash;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public string Time { get; }

        public string Hash { get; }

        #endregion
    }
}