﻿namespace Horizon.Database
{
    public class SnapshotDataUpdateSuccessEventArgs : SnapshotDataUpdateEventArgs
    {
        #region Constructors, Destructors and Finalizers

        public SnapshotDataUpdateSuccessEventArgs(string oldHash, string newHash) : base(true)
        {
            OldHash = oldHash;
            NewHash = newHash;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public string OldHash { get; }

        public string NewHash { get; }

        #endregion
    }
}