﻿using System;

namespace Horizon.Snapshots
{
    public class PreviewRetrievedEventArgs : EventArgs
    {
        #region Public Enums, Properties and Fields

        public SnapshotPreview SnapshotPreview { get; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public PreviewRetrievedEventArgs(SnapshotPreview snapshotPreview) : this()
        {
            SnapshotPreview = snapshotPreview;
        }

        private PreviewRetrievedEventArgs()
        {
        }

        #endregion
    }
}