﻿using System;

namespace Horizon.Snapshots
{
    public class SaveDataEventArgs : EventArgs
    {
        #region Constructors, Destructors and Finalizers

        public SaveDataEventArgs(string hash, byte[] data)
        {
            Data = data;
            Hash = hash;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public string Hash { get; }

        public byte[] Data { get; }

        #endregion
    }
}