﻿using System.Drawing;

namespace Horizon.Snapshots
{
    public class SnapshotPreview
    {
        #region Constructors, Destructors and Finalizers

        public SnapshotPreview(string hash, Bitmap shot, string note)
        {
            Hash = hash;
            Shot = shot;
            Note = note;
        }

        #endregion

        #region Public Enums, Properties and Fields

        public string Hash { get; }

        public Bitmap Shot { get; }

        public string Note { get; }

        #endregion
    }
}